NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
dyld: NSLinkModule() error with php52 macports


Joined: 23 Nov 2007
Posts: 11
Reply with quote
Hi,
I;ve upgraded to MAC OS 10.8 and reinstalled the php52 macports. Apache is not loading anymore and when I do

php -v I get the following error:


dyld: NSLinkModule() error
dyld: initializer function 0x1046f53c0 not in mapped image for /opt/local/lib/php/extensions/dbg-php-5.2.so

Trace/BPT trap: 5


Any thoughts on how to proceed would be greatly appreciated.

Thanks,
Olimpiu
View user's profileFind all posts by odejeuSend private message
Nusphere over Parallels to MAC OS 10.7 (Lion) and Macports


Joined: 23 Nov 2007
Posts: 11
Reply with quote
The issue is not with the install or pointers to the correct file but the issue is that Apache cannot load the dbg-php-5.3.so file.

Here are the scenarios that I've tried:

On a system that has MAC OS 10.8 Mountain Lion with the AMP from macports and latest Xcode version that one can download
I am running Nusphere php IDE on Windows through parallels.

sudo port install php52 +apache2 +mysql5
which loads php 5.2.17 version

OR

sudo port install php5 +apache2 +mysql5
which loads php 5.3.x version

I've tried it with both and in both cases the Apache error that one can find in the error_log file is:

dyld: NSLinkModule() error
dyld: initializer function 0x1046f53c0 not in mapped image for /opt/local/lib/php/extensions/dbg-php-5.2.so

Trace/BPT trap: 5

same error with the php5.3 version except that the file is this time /opt/local/lib/php/extensions/dbg-php-5.3.so

My extension_dir is set for:

extension_dir /opt/local/lib/php/extensions /opt/local/lib/php/extensions


Again, it seems that Apache finds the extension file but NSLinkModule cannot load it.

-------

My fix: Before the upgrade from MAC OS 10.7.4 to 10.8 I did a backup of my drive. I've spent at least 12hours on trying to get it to work (including compiling my own php version) but could not. I've reverted back to MAC OS 10.7.4


Hope this will help anyone who encounters this problem.

I do not know what the real fix is for this, hopefully Nusphere will come up with something as I've logged it with their support department.
View user's profileFind all posts by odejeuSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7857
Reply with quote
Quote:
reinstalled the php52 macports

I wonder what they changed. As you see we didn't change anything.
And our modules work fine with php shipped with Mac OSX itself -- I turned on web sharing and got all - apache+php launched. Then added dbg to php.ini and it started working. But my mac is 10.7.5, not 10.8...
If you need macport's php, ask them if they changed anything in their build process. I know that under mac with default "strip binaryname" it strips everything too much so no modules/extensions will load because they won't find public symbols in the binary that they depend on.

UPD:
I found some posts about using install_name_tool to fix similar issues with NSLinkModule error in libmysql. Hope they will work here too.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 23 Nov 2007
Posts: 11
Reply with quote
Dmitri,

I've reverted back to 10.7.4 so I'm running fine again. I think anyone with 10.8 and Macports will have this issue, just don't have the time to research it further.


Best,
Olimpiu
View user's profileFind all posts by odejeuSend private message
dyld: NSLinkModule() error with php52 macports
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic